## GtexBuildToolsPersonal

GtexBuildToolsPersonal — Personal build tools

## Functions

GtexBuildToolsPersonal * | gtex_build_tools_personal_get_instance ()
void | gtex_build_tools_personal_save ()
void | gtex_build_tools_personal_move_up ()
void | gtex_build_tools_personal_move_down ()
void | gtex_build_tools_personal_delete ()
void | gtex_build_tools_personal_add ()
void | gtex_build_tools_personal_insert ()
void | gtex_build_tools_personal_replace ()

## Types and Values

struct | GtexBuildToolsPersonal

## Object Hierarchy

        GObject
        ╰── GtexBuildTools
            ╰── GtexBuildToolsPersonal

## Includes

    #include <gtex.h>

## Description

The GtexBuildToolsPersonal singleton class represents the personal build tools. The personal build tools can be entirely modified. The XML file can be saved with `gtex_build_tools_personal_save()`.

## Functions

### gtex_build_tools_personal_get_instance ()

    GtexBuildToolsPersonal *
    gtex_build_tools_personal_get_instance
                                   (void);

Gets the instance of the GtexBuildToolsPersonal singleton.

#### Returns

the instance of GtexBuildToolsPersonal.

[transfer none]

### gtex_build_tools_personal_save ()

    void
    gtex_build_tools_personal_save (GtexBuildToolsPersonal *build_tools);

Saves asynchronously the personal build tools into the XML file.

#### Parameters

build_tools | the GtexBuildToolsPersonal instance. |

### gtex_build_tools_personal_move_up ()

    void
    gtex_build_tools_personal_move_up (GtexBuildToolsPersonal *build_tools,
                                       guint tool_num);

Move a build tool up. The first build tool is at the top.

#### Parameters

build_tools | the GtexBuildToolsPersonal instance. |
tool_num | the build tool position in the list. |

### gtex_build_tools_personal_move_down ()

    void
    gtex_build_tools_personal_move_down (GtexBuildToolsPersonal *build_tools,
                                         guint tool_num);

Move a build tool down. The first build tool is at the top.

#### Parameters

build_tools | the GtexBuildToolsPersonal instance. |
tool_num | the build tool position in the list. |

### gtex_build_tools_personal_delete ()

    void
    gtex_build_tools_personal_delete (GtexBuildToolsPersonal *build_tools,
                                      guint tool_num);

Deletes a build tool.

#### Parameters

build_tools | the GtexBuildToolsPersonal instance. |
tool_num | the build tool position in the list. |

### gtex_build_tools_personal_add ()

    void
    gtex_build_tools_personal_add (GtexBuildToolsPersonal *build_tools,
                                   GtexBuildTool *new_build_tool);

Append the new build tool at the end of the list.

#### Parameters

build_tools | the GtexBuildToolsPersonal instance. |
new_build_tool | the new build tool object. |

### gtex_build_tools_personal_insert ()

    void
    gtex_build_tools_personal_insert (GtexBuildToolsPersonal *build_tools,
                                      GtexBuildTool *new_build_tool,
                                      guint position);

Inserts a new build tool at a given position.

#### Parameters

build_tools | the GtexBuildToolsPersonal instance. |
new_build_tool | the new build tool object. |
position | the position in the list where to insert the new build tool. |

### gtex_build_tools_personal_replace ()

    void
    gtex_build_tools_personal_replace (GtexBuildToolsPersonal *build_tools,
                                       GtexBuildTool *new_build_tool,
                                       guint position);

Replaces a build tool.

#### Parameters

build_tools | the GtexBuildToolsPersonal instance. |
new_build_tool | the new build tool object. |
position | the position in the list where to replace the build tool. The old build tool located at `position` will be unreffed. |

## Types and Values

### struct GtexBuildToolsPersonal

    struct GtexBuildToolsPersonal;